# Makefile for VgaGames: dialog/

all: dialog.o fsel.o exit.o wdsize.o volume.o keydef.o sysmenu.o network.o text.o winbright.o

clean:
	rm -f *.o


dialog.o: dialog.c dialog.h
	$(CC) $(CFLAGS) $(SOFLAGS) -c dialog.c

fsel.o: fsel.c dialog.h
	$(CC) $(CFLAGS) $(SOFLAGS) -c fsel.c

exit.o: exit.c dialog.h
	$(CC) $(CFLAGS) $(SOFLAGS) -c exit.c

wdsize.o: wdsize.c dialog.h
	$(CC) $(CFLAGS) $(SOFLAGS) -c wdsize.c

volume.o: volume.c dialog.h
	$(CC) $(CFLAGS) $(SOFLAGS) -c volume.c

keydef.o: keydef.c dialog.h
	$(CC) $(CFLAGS) $(SOFLAGS) -c keydef.c

sysmenu.o: sysmenu.c dialog.h
	$(CC) $(CFLAGS) $(SOFLAGS) -c sysmenu.c

network.o: network.c dialog.h
	$(CC) $(CFLAGS) $(SOFLAGS) -c network.c

text.o: text.c dialog.h
	$(CC) $(CFLAGS) $(SOFLAGS) -c text.c

winbright.o: winbright.c dialog.h
	$(CC) $(CFLAGS) $(SOFLAGS) -c winbright.c

